package Image::File;

use version; our $VERSION = qv('0.1_0');
use strict;

use Util::File;
use Util::Logfile;

sub get_xmp_file_name {
    my ($image_filename) = @_;
    my $xmp_filename = $image_filename;

    $xmp_filename =~ s/(.*)\..*/$1.xmp/;

    return $xmp_filename;
}

sub set_equal_time_to_xmp_file {
    my ($image_filename) = @_;
    my $xmp_filename = get_xmp_file_name($image_filename);

    $main::log = Util::Logfile->new() if not defined $main::log;
    $main::log->log_verbose("Image::File: Setze Zeit fr '$image_filename' auf Zeit von '$image_filename'");
    Util::File::touch_reference( $xmp_filename, $image_filename );

    return 1;
}

1;

__END__

=head1 NAME

Image::File - Bilddatei

=head1 DESCRIPTION

Die Klasse C<Image::File> ist eine Bilddatei.

=over

=item $xmp_filename = Image::File::get_xmp_file_name($image_filename)

Liefert einen String mit dem Namen der XMP-Datei fr eine Bilddatei; das
ist der gleiche Name auer dem Postfix: Dieses lautet C<xmp>

=item Image::File::set_equal_time_to_xmp_file($image_filename)

Setzt bei der zugehrigen XMP-Datei die gleiche Zugriffs- und letzte
nderungszeit

Der 1. Parameter ist ein String mit dem Dateinamen der Bilddatei, deren Zeiten
bei der XMP-Datei gesetzt werden

Liefert stets 1

=back

=head1 AUTHOR

Elmar Baumann <eb@elmar-baumann.de> 2007/10/14

=cut
