#!/usr/bin/perl

use version; our $VERSION = qv('0.3_2');
use Readonly;

###############################################################################
# Konfigurationsdatei fr XmpIptc
###############################################################################

# Exiftool benutzen statt EXIFutils? Dann eine '1' statt '0'
Readonly $main::USE_EXIFTOOL => 1;

# Suchpfade - Diese Verzeichnisse und deren Unterverzeichnisse werden
# durchsucht nach XMP-Dateien
Readonly @main::XMP_PATHS => (
    'F:/',

    # Hier weitere Verzeichnisse in '', dahinter ein Komma
    # Windows: Schrgstriche ('/')benutzen, keine Backslahses ('\')!
);

# Endungen fr Dateien, die als Bilddateien akzeptiert werden
Readonly @main::IMG_SUFFIXES => (
    'nef',
    'tif',
    'jpg',

    # Hier weitere Endungen in '', dahinter ein Komma
    # Unterscheidet ein Dateisystem zwischen Gro- und
    # Kleinschreibung sind Varianten hinzuzufgen,
    # beispielsweise 'nef' und 'NEF'!
);

###############################################################################
# Sonstiges
###############################################################################

# Setzt Datum und Uhrzeit (letzte Modifikation) der Bilddatei auf die Aufnahmezeit
# ("DateTimeOriginal"-Attribut im EXIF-Header der Bilddatei)
#
# 0: Bilddatei erhlt aktuelles Datum nach Update der IPTC-Informationen
# 1: Datum der Bilddatei ndern (Default)
#Readonly $main::SET_IMAGEFILE_MODIFY_TIME_FROM_SHOOTING_TIME => 0;
Readonly $main::SET_IMAGEFILE_MODIFY_TIME_FROM_SHOOTING_TIME => 1;

# Zustzlich noch die XMP-Informationen in die Bilddatei schreiben?
# Es werden nicht alle Informationen gelesen, jedoch wichtige wie
# Schlsselwrter, und die Pfade sind nach dem Schreiben (teilweise)
# anders. Hier fehlt mir noch Feedback in Bezug auf Programme, welche
# die XMP-Informationen von RAW-Dateien auswerten.
#
# Wird aktuell nur von ExifTool untersttzt.
#
# 0: XMP-Informationen NICHT schreiben (Default)
# 1: XMP-Informationen schreiben
#Readonly $main::WRITE_XMP_INTO_IMAGEFILE => 1;
Readonly $main::WRITE_XMP_INTO_IMAGEFILE => 0;

# Immer IPTC-Informationen schreiben, sofern die XMP-Datei neuer ist als
# die Bilddatei? Sonst werden nur IPTC-Informationen geschrieben, wenn
# sie sich unterscheiden von denen in der Bilddatei.
#
# NICHT verglichen werden in die Bilddateien eingebettete XMP-Informationen
# mit den Informationen der (Sidcar-) XMP-Dateien. Diese Konstante kann
# auf 1 gesetzt werden, sofern noch keine XMP-Informationen in den Bilddateien
# sind oder sich XMP-Informationen gendert haben, die nicht in den IPTC-Header
# bernommen werden  (welche das sind, habe ich nicht untersucht). 
#
# 0: Nur schreiben, wenn Informationen in Bilddatei unterschiedlich (Default)
# 1: Immer schreiben, wenn XMP-Datei neuer ist als Bilddatei
#Readonly $main::WRITE_ALWAYS_IF_XMPFILE_IS_NEWER => 1;
Readonly $main::WRITE_ALWAYS_IF_XMPFILE_IS_NEWER => 0;

# Verzeichnis fr Logdatei (auch unter Windows: Schrgstriche '/' statt Backslahshes '\'!)
Readonly $main::LOGFILE_DIR => 'C:/Windows/temp';

# Nicht ndern!
$main::log;

###############################################################################
# Speziell fr Exifutils
###############################################################################

# Prfix vor den Optionen fr EXIFutils auf der Kommandozeile.
#
# Unter Linux ist das ein Bindestrich ('-'),
# unter Windows ein Schrgstrich ('/').
#
#Readonly $main::EU_OPTION_PRAEFIX => '-';
Readonly $main::EU_OPTION_PRAEFIX => '/';

1;
