#!/usr/bin/perl -w

use strict;
use File::Copy;
use Test::More qw( no_plan );

use Image::File;
use Util::File;

my $RES_DIR                 = "$ENV{PROJECTDIR}/XmpIptc/t/misc_files";
my $IMAGE_FILENAME_TEMPLATE = "$RES_DIR/imagefile_reference_temlate.nef";
my $IMAGE_FILENAME          = "$RES_DIR/imagefile_reference.nef";
my $XMP_FILENAME            = "$RES_DIR/imagefile_reference.xmp";

is( Image::File::get_xmp_file_name(''),          '' );
is( Image::File::get_xmp_file_name('image.nef'), 'image.xmp' );
is( Image::File::get_xmp_file_name('/home/images/image.nef'),
    '/home/images/image.xmp' );

copy( $IMAGE_FILENAME_TEMPLATE, $IMAGE_FILENAME )
    or die "Fehler beim Kopieren!";
ok( Image::File::set_equal_time_to_xmp_file($IMAGE_FILENAME) );
ok( Util::File::equal_times( $IMAGE_FILENAME, $XMP_FILENAME ) );
unlink $IMAGE_FILENAME;

