#!/usr/bin/perl -w

use strict;
use Test::More qw( no_plan );

use Util::File;

my $RES_DIR            = "$ENV{PROJECTDIR}/XmpIptc/t/misc_files";
my $REFERECNE_FILENAME = "$RES_DIR/reference_for_mtime";
my $TMP_FILENAME       = "$RES_DIR/File.t.test";

test_touch_rerence();
test_is_newer();
test_equal_times();

sub test_touch_rerence {
    open my $TMP_FILE, '>', $TMP_FILENAME
        or die "Kann Datei '$TMP_FILENAME' nicht ffnen";
    close $TMP_FILE;

    my ( $atime_tmp_file, $mtime_tmp_file ) = ( stat($TMP_FILENAME) )[ 8, 9 ];
    my ( $atime_reference_file, $mtime_reference_file )
        = ( stat($REFERECNE_FILENAME) )[ 8, 9 ];

    isnt( $atime_tmp_file, $atime_reference_file );
    isnt( $mtime_tmp_file, $mtime_reference_file );

    Util::File::touch_reference( $TMP_FILENAME, $REFERECNE_FILENAME );
    ( $atime_tmp_file, $mtime_tmp_file ) = ( stat($TMP_FILENAME) )[ 8, 9 ];
    is( $atime_tmp_file, $atime_reference_file );
    is( $mtime_tmp_file, $mtime_reference_file );
    unlink $TMP_FILENAME;
}

sub test_is_newer {
    ok( Util::File::is_newer(
            "$RES_DIR/is_newer_newer", "$RES_DIR/is_newer_older"
        )
    );
    ok( !Util::File::is_newer(
            "$RES_DIR/is_newer_older", "$RES_DIR/is_newer_newer"
        )
    );
    ok( !Util::File::is_newer(
            "$RES_DIR/is_newer_equals_1", "$RES_DIR/is_newer_equals_2"
        )
    );
}

sub test_equal_times {
    ok( Util::File::equal_times(
            "$RES_DIR/is_newer_equals_1", "$RES_DIR/is_newer_equals_2"
        )
    );

    ok( !Util::File::equal_times(
            "$RES_DIR/is_newer_older", "$RES_DIR/is_newer_newer"
        )
    );
}
